package cordon.bleu.comment;

import cordon.bleu.user.User;
import cordon.bleu.user.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class CommentServiceImpl implements CommentService{

    UserRepository userRepository;

    CommentRepository commentRepository;

    @Autowired
    public void setCommentRepository(CommentRepository commentRepository) {
        this.commentRepository = commentRepository;
    }

    @Autowired
    public void setUserRepository(UserRepository userRepository) {
        this.userRepository = userRepository;
    }

    @Override
    public void saveOrUpdate(Comment comment, String userName) {
        User user = userRepository.findByEmail(userName);
        comment.setUser(user);
        commentRepository.save(comment);

    }
}
