package cordon.bleu.tour;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;

@Entity
@Getter
@Setter
@Table(name="tour_info")
public class TourInfo {

    @Id
    private int id;

    @Column(length=2000)
    private String info;

    @OneToOne(cascade = CascadeType.ALL)
    @JoinColumn(name="id")
    @MapsId
    Tour tour;
}
