package cordon.bleu.user;

import cordon.bleu.tour.TourInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;

import java.util.List;

public interface UserRepository  extends JpaRepository<User, Integer> {


    User getUserById(Integer integer);

    User findByEmail (String string);

    @Override
    @Query("from User u join fetch u.userRole")
    List<User> findAll();
}
